Package: org.codehaus.groovy.runtime.dgmimpl

## [Java] Class NumberNumberMetaMethod.NumberNumberCallSite

- org.codehaus.groovy.runtime.dgmimpl.NumberNumberMetaMethod.NumberNumberCallSite

-     public static abstract class NumberNumberMetaMethod.NumberNumberCallSite
      extends PojoMetaMethodSite

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class PojoMetaMethodSite` | `version`
    `class MetaMethodSite` | `params`
    `class MetaClassSite` | `metaClass`
    `class AbstractCallSite` | `array, index, name`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `NumberNumberCallSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Number receiver, Number arg)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class PojoMetaMethodSite` | `call, checkCall, checkCall, checkCall, checkCall, checkCall, checkCall, checkPojoMetaClass, createCachedMethodSite, createNonAwareCallSite, createPojoMetaMethodSite, invoke`
    `class PlainObjectMetaMethodSite` | `doInvoke`
    `class AbstractCallSite` | `acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty`

- - ### Constructor Detail

    - #### public NumberNumberCallSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Number receiver, Number arg)